apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: ingress-rocky
  namespace: rocky
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /
    nginx.ingress.kubernetes.io/ssl-redirect: "false"
spec:
  ingressClassName: nginx
  rules:
  - host: "rocky.onmetal.sk"
    http:
      paths:
      - pathType: Prefix
        path: "/"
        backend:
          service:
            name: rocky-svc
            port:
              number: 8080
